<?php

namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;

class Bco01400RecalculoLancamentoContaCorrenteFactory { 
  
  protected $connection;
  protected $nrOrg;

  public function __construct(EntityManager $entityManager, Environment $environment) {
    $this->connection = $entityManager->getConnection();
    $this->nrOrg = $environment->getNrOrg();
  }
  
  public function selectContopectbl($CDEMPRESA) {
    
    $params = array(
        'EMPRESA' => $CDEMPRESA,
        'NRORG' => $this->nrOrg
      );
    $sql = "SELECT 
              CDEMPRESA,
              DTINICLANC,
              DTFINALANC,
              DTINICRELA,
              DTFINARELA,
              DTINICCTBL,
              DTFINACCTBL,
              IDCONTGERE,
              IDCONTCOME
            FROM
              CONTOPECTBL
            WHERE
              CDEMPRESA = :EMPRESA AND
              NRORG = :NRORG";
              
    $std = $this->connection->prepare($sql);
    
    $std->execute($params);
    
    return $std->fetch();
    
  }
  
}